## net-acct 0.4-1

=== src/Makefile ===
ifeq ($(ARCH),)
ARCH = linux
endif
VPATH = ../
EXEC = nacctd
CFLAGS = -Wall -Wstrict-prototypes
OBJECTS = main.o daemon.o process.o utils.o config.o
LIBS =
CC = gcc

ifeq ($(ARCH),linux)
OBJECTS := $(OBJECTS) capture-linux.o 
endif

ifeq ($(ARCH),sun-solaris)
OBJECTS := $(OBJECTS) capture-sun-solaris.o read-kern.o
LIBS := $(LIBS) -lelf -lkvm -lnsl -ldl -lsocket
endif

all:	$(EXEC)

depend dep:
	for i in *.c;do $(CPP) -M $$i;done > .tmpdepend
	mv .tmpdepend .depend

$(EXEC):	$(OBJECTS)
		$(CC) -o $(EXEC) $(CFLAGS) $^ $(LIBS)


install:	all
	install -d $(prefix)/sbin
	install -o root -g root nacctd $(prefix)/sbin/

distclean:	clean
	rm -f *~ *.orig DEADJOE

clean:
	rm -f *.o $(EXEC)

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## net-acct 0.5

=== src/Makefile ===
ifeq ($(ARCH),)
ARCH = linux
endif
VPATH = ../
EXEC = nacctd
CFLAGS = -Wall -Wstrict-prototypes
OBJECTS = main.o daemon.o process.o utils.o config.o
DISTSRC = ChangeLog Makefile capture-linux.c capture-pcap.c config.c daemon.c main.c nacctd naccttab.sample naccttab.sample.pcap netacct.h process.c utils.c
LIBS =
CC = gcc

ifeq ($(ARCH),linux)
OBJECTS := $(OBJECTS) capture-linux.o 
endif

ifeq ($(ARCH),pcap-solaris)
OBJECTS := $(OBJECTS) capture-pcap.o
LIBS := $(LIBS) -lelf -lnsl -ldl -lsocket -lpcap
CFLAGS := $(CFLAGS) -L/usr/local/lib
endif

all:	$(EXEC)

depend dep:
	for i in *.c;do $(CPP) -M $$i;done > .tmpdepend
	mv .tmpdepend .depend

$(EXEC):	$(OBJECTS)
		$(CC) -o $(EXEC) $(CFLAGS) $^ $(LIBS)

clean:
	rm -f *.o $(EXEC)

dist:   $(EXEC) $(DISTSRC)
	rm -rf dist
	mkdir dist
	cp README CHANGES COPYING dist
	mkdir dist/src
	cp $(DISTSRC) dist/src/
	cp -a tools dist
	cp -a contrib dist
	chown -R uc.uc dist
	chmod -R a+rX dist

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## net-acct 0.71

=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,18 @@
 endif
 VPATH = ../
 EXEC = nacctd
-CFLAGS = -Wall -Wstrict-prototypes
+
+# Configuration options
+# Uncomment for debugging output
+#DEBUG=-g -DDBG=1
+
+# Uncomment for IP masquerade support
+#MASQ=-DREMAP_MASQUERADE
+
+# Size of the packet hash table (default 4096)
+HASH=-DHASHSIZE=4096
+
+CFLAGS = -Wall -O2 -Wstrict-prototypes $(DEBUG) $(MASQ) $(HASH)
 OBJECTS = main.o daemon.o process.o utils.o config.o
 DISTSRC = ChangeLog Makefile capture-linux.c capture-pcap.c config.c daemon.c main.c nacctd naccttab.sample naccttab.sample.pcap netacct.h process.c utils.c
 LIBS =
@@ -31,17 +42,6 @@
 clean:
 	rm -f *.o $(EXEC)
 
-dist:   $(EXEC) $(DISTSRC)
-	rm -rf dist
-	mkdir dist
-	cp README CHANGES COPYING dist
-	mkdir dist/src
-	cp $(DISTSRC) dist/src/
-	cp -a tools dist
-	cp -a contrib dist
-	chown -R uc.uc dist
-	chmod -R a+rX dist
-
 ifeq (.depend,$(wildcard .depend))
 include .depend
 endif

=== debian/changelog ===
net-acct (0.71-11) unstable; urgency=medium

  * Re-import changes from NMU 0.71-9.1

 -- Stéphane Glondu <glondu@debian.org>  Thu, 24 Oct 2024 12:43:11 +0200

net-acct (0.71-10) unstable; urgency=medium

  * Team upload of Debian team

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Set Homepage to wayback machine
  * Fake watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix day-of-week for changelog entry 0.4-2.
  * Cleanup d/rules from unneeded PHONY phrases
  * Proper DEP5
  * Install nacctstats as example
    Closes: #162666
  * Pre-Depends: ${misc:Pre-Depends}

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Closes: #930790

 -- Andreas Tille <tille@debian.org>  Sun, 22 Sep 2024 21:07:08 +0200

net-acct (0.71-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add 'missingok' to logrotate config.  (Closes: #916647)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Apr 2019 19:59:09 +0200

net-acct (0.71-9) unstable; urgency=low

  * Move patches to upstream to quilt series
  * Switch to 3.0 (quilt) source format
  * Switch to dh with overrides
  * Add debian/README.source
  * Upstream is dead: remove Homepage field, update watch file
  * debian/control:
    - update my e-mail address and remove DMUA
    - update Standards-Version to 3.8.3 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Nov 2009 12:36:01 +0100

net-acct (0.71-8) unstable; urgency=low

  * New maintainer (Closes: #486000: ITA: net-acct)
  * Acknowledge NMU
  * Use debhelper 7: debian/rules rewritten, maintenance scripts
    updated (and partly automatically generated by debhelper)
  * Fix handling nostrip build option (Closes: #437610)
  * Update Standards-Version to 3.8.0
  * Add Homepage field to debian/control
  * Fix Lintian warning in debian/changelog
  * Use logrotate instead of cron.daily/savelog
  * Purging removes log files (Closes: #332495)
  * Don't compress perl modules in examples (Closes: #162665)
  * Add README.Debian and switch to machine-parsable copyright format,
    as per http://wiki.debian.org/Proposals/CopyrightFormat
  * Add LSB short description and status command to init.d script
  * Add debian/watch
  * Fix incomplete sl2rbl output (Closes: #440335)

 -- Stephane Glondu <steph@glondu.net>  Sat, 21 Jun 2008 12:14:12 +0200

net-acct (0.71-7.3) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #468892)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 02:06:30 +0200

net-acct (0.71-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: fix bashism (Closes: #379633).
  * debian/postinst: fix deprecated-chown-usage lintian warning.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 16 Jan 2008 22:13:23 +0100

net-acct (0.71-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use invoke-rc.d; closes: #367725.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 02 Sep 2007 01:25:09 -0400

net-acct (0.71-7) unstable; urgency=high

  * reupload for faster processing (resigned with correct GPG key)

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 07 Sep 2004 08:29:22 +0200

net-acct (0.71-6) unstable; urgency=high

  * spelling fix (Closes Bug: #125176)
  * SECURITY: fixed insecure temp file creation/deletion reported
    by Stefan Nordhausen. This is net-acct-notempfiles.patch from
    Sep 2 2004 (Closes: Bug #270359) (simply remove the code)
  * include stdlib.h to declare strdup (Closes: Bug #226655) (not critical
    since the compiled object was not used)
  * removed compiler warning (undefined integer variable in capture-linux.c)
  * bumped standards version from 3.5.6 to 3.6.1 (no /usr/doc link)
  * fixed path to interpreter in sample (Closes: Bug #162664)
  * fixed endianess problem in protocol type detection.
  * fixed copyright-should-refer-to-common-license-file-for-gpl

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 07 Sep 2004 07:31:22 +0200

net-acct (0.71-5) unstable; urgency=low

  * chnaged section to extra
  * added manpage from Alex King (alex@king.net.nz) THANKS! Closes: Bug#4309

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 16 Dec 2001 05:29:34 +0100

net-acct (0.71-3) unstable; urgency=low

  * fixed missing check for binary in nacct-daily (Closes: Bug #116252)
  * fixed url in copyright file
  * upgraded to standrds version 3.5.6, remove gcc -g switch

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 20 Oct 2001 03:27:51 +0200

net-acct (0.71-2) unstable; urgency=low

  * closes bug #76917 (missing +x for prerm)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 18 Nov 2000 02:06:24 +0100

net-acct (0.71-1) unstable; urgency=low

  * closes bug #76376 (typo in postinst)
  * closes bug #66093 (name of changelog file)
  * closes bug #58285 (daemon is stopped on remove)
  * updated standards version (moved /usr/doc)
  * made lintian happy (wrong manpage link, spelling fixes, ...)
  * new upstream version from exorsus.net

 -- Bernd Eckenfels <ecki@debian.org>  Tue,  7 Nov 2000 00:56:26 +0100

net-acct (0.7-2) unstable; urgency=high

  * fixes rulefile for compilation on other archs (#32740)
  * fixes cron job if pid file is missing (#35538)

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 29 Jun 1999 23:08:51 +0200

net-acct (0.7-1) unstable; urgency=low

  * new upstream version
  * should fix #31639

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 24 Jan 1999 15:35:51 +0100

net-acct (0.4-2) unstable; urgency=low

  * addes links to undocumented(7) for nacctd(1) and nacctab(5) (bug #4309)
  * renamed /usr/doc/net-acct/README to Manual.txt
  * new source format

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 27 Aug 1996 21:56:58 +0200

net-acct (0.4-1) unstable; urgency=low

  * added debian control files and my patch (see README.be-patch)



=== debian/control ===
Source: net-acct
Maintainer: Stéphane Glondu <glondu@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/net-acct
Vcs-Git: https://salsa.debian.org/debian/net-acct.git
Homepage: https://web.archive.org/web/20090228224107/http://exorsus.net/projects/net-acct/
Rules-Requires-Root: no

Package: net-acct
Architecture: any
Depends: logrotate,
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: User-mode IP accounting daemon
 This package logs network traffic. It provides a daemon (nacctd) that
 logs all traffic passing the machine it runs on (similar to what tcpdump
 does).
 .
 Capability is provided to associate traffic to slip/ppp users in case you
 run a slip/ppp server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C src MASQ=-DREMAP_MASQUERADE
	dh_auto_build --sourcedirectory=src -- MASQ=-DREMAP_MASQUERADE
	cp src/naccttab.sample debian/naccttab

override_dh_auto_clean:
	$(MAKE) -C src clean
	-rm -f debian/naccttab

override_dh_compress:
	dh_compress -X.pl

=== debian/watch ===
# Upstream is dead; used to be at http://exorsus.net/projects/net-acct/
version=4

opts=dversionmangle=s/.*/0.No-Site/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
